GNU bug report logs - #35013
speedbar-expand-line-descendants opens non-descendant tree entries

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Kieran Barry <kieranb@HIDDEN>; merged with #35014; dated Tue, 26 Mar 2019 22:21:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 35013 35014. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Mar 2019 22:20:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 26 18:20:36 2019
Received: from localhost ([127.0.0.1]:60659 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h8uQu-0001eh-5w
	for submit <at> debbugs.gnu.org; Tue, 26 Mar 2019 18:20:36 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36124)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kieranb@HIDDEN>) id 1h8sh0-0007EC-V9
 for submit <at> debbugs.gnu.org; Tue, 26 Mar 2019 16:29:07 -0400
Received: from lists.gnu.org ([209.51.188.17]:38264)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <kieranb@HIDDEN>) id 1h8sgv-0002Uv-Nc
 for submit <at> debbugs.gnu.org; Tue, 26 Mar 2019 16:29:01 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50496)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kieranb@HIDDEN>) id 1h8sgu-0003tE-Me
 for bug-gnu-emacs@HIDDEN; Tue, 26 Mar 2019 16:29:01 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <kieranb@HIDDEN>) id 1h8sgt-0002Sx-Pu
 for bug-gnu-emacs@HIDDEN; Tue, 26 Mar 2019 16:29:00 -0400
Received: from mail-vs1-xe31.google.com ([2607:f8b0:4864:20::e31]:37733)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <kieranb@HIDDEN>) id 1h8sgt-0002Ra-FW
 for bug-gnu-emacs@HIDDEN; Tue, 26 Mar 2019 16:28:59 -0400
Received: by mail-vs1-xe31.google.com with SMTP id w13so8517522vsc.4
 for <bug-gnu-emacs@HIDDEN>; Tue, 26 Mar 2019 13:28:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=google.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=uBlyzeL+WjsCCrDKdovhuZwx0WW3tKDNNKIRzyAnh98=;
 b=RK3KEAMhtiE87M/Bg4BZYdQGn6D7BV6MO2s0gIXzl9QAwV6LAU42CwU2m6OfiMqvp2
 N2WPbOXC72nmS6KnwMc4+E2C6oRWj0ET3NCJld16519ViFFuHldH7vaGL8hoFQqBn/H7
 sPmxQqYcsiHO02KgpVI2ylpQhpPXLuQkOjxFNyABAUJA0PwgKDs7ONrGNv0bR+K5lpkc
 hrtb1RzqSoLlSlIVHthufU4TwgamEWltCW54uGQOpL14A2woAI4hD41aQ6QCyPsbEjue
 eWaFgQ9owsjZFipO6w4fqZrQHC0EwJA3ZqFiTeR1TVU7xMLWX4tx0BaMN9JL0BXdqC0i
 HesQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=uBlyzeL+WjsCCrDKdovhuZwx0WW3tKDNNKIRzyAnh98=;
 b=HghylpUjEENWVN/vVCsEM72TTGoZdoc81dkaeSblu87zQzMiTHCnxihn2RKZq/AxWd
 lJnyE3198Sed0Vf2cXfjX2U4u/TPyrwhRZrz38O/czv94OF0d4pxHqt6xApJlBm3bn3T
 /lnQ9drjD5yqsVmnaTE0AxnLgJ+rRAG+Y0e3ViO60uhdExYEX/P1Mhu0TWe5weIuhN0X
 GpFkF1d2mgcvNWzWjEFYW933A64jvulfQh1esQkBbhVhp47mshzaHmfU4QMYsQpsWRYL
 OLQOHlZNL8FSHAIM9GNdbPk5jA5YsKxx5BPJ3mMe3NSQB6iqkOUi8M2+7HZj4Imlj+lS
 U6gA==
X-Gm-Message-State: APjAAAXiYd9pZVYWLhmyLd4tBsPhVNbwNdikZQo0qSytNDYLGcT70H0n
 KbQEVd5bM9+nXViL279vVT8nfRo5Pwz0+cDyu4AVi9e06XA=
X-Google-Smtp-Source: APXvYqx9+2xSdOXAIFfmRBURBLVnY6NYfLkXpxEHunyhAvuinrwDKqEG+yDzFmUeOjFBJAl2hSw2aK5T4BhJLm1zaOU=
X-Received: by 2002:a67:fac3:: with SMTP id g3mr19805787vsq.190.1553632137482; 
 Tue, 26 Mar 2019 13:28:57 -0700 (PDT)
MIME-Version: 1.0
From: Kieran Barry <kieranb@HIDDEN>
Date: Tue, 26 Mar 2019 20:28:46 +0000
Message-ID: <CAE_L=tC+MTRhyJAUjL7BfbFvJh-t9JhKb4j1zAVbh43VuGENvg@HIDDEN>
Subject: speedbar-expand-line-descendants opens non-descendant tree entries
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000ab13830585052b5b"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::e31
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 26 Mar 2019 18:20:35 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--000000000000ab13830585052b5b
Content-Type: text/plain; charset="UTF-8"

Current behaviour:
speedbar-expand-line-descendants incorrectly recursively expands all nodes
below the current node.

Expected behaviour:
Should only recursively expand descendants of the current node.

Steps to reproduce:
emacs -Q ~
M-x speedbar
<focus to speedbar>
<cursor over a directory that is not the last in list>
[

("[" is bound to `speedbar-expand-line-descendants')

Found in: GNU Emacs 26.1

-- 
Kieran Barry -- kieranb@HIDDEN
EU Directive 2003/58/EC compliance:
Google Ireland Ltd., Gordon House, Barrow Street, Dublin 4 Ireland
Registered in Dublin, Ireland with # 368047

--000000000000ab13830585052b5b
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div dir=3D"ltr">Current behaviour:<div>s=
peedbar-expand-line-descendants incorrectly recursively expands all nodes b=
elow the current node.</div><div><br></div><div>Expected behaviour:</div><d=
iv>Should only recursively expand descendants of the current node.</div><di=
v><br></div><div>Steps to reproduce:</div><div>emacs -Q ~</div><div>M-x spe=
edbar</div><div>&lt;focus to speedbar&gt;</div><div>&lt;cursor over a direc=
tory that is not the last in list&gt;</div><div>[</div><div><br></div><div>=
(&quot;[&quot; is bound to `speedbar-expand-line-descendants&#39;)<br clear=
=3D"all"><div><br></div><div>Found in:=C2=A0GNU Emacs 26.1</div><div><br></=
div>-- <br><div dir=3D"ltr" class=3D"gmail_signature"><div dir=3D"ltr"><div=
><span style=3D"font-size:13px">Kieran Barry --=C2=A0<a href=3D"mailto:kier=
anb@HIDDEN" style=3D"color:rgb(17,85,204)" target=3D"_blank">kieranb@go=
ogle.com</a></span></div><div><span style=3D"font-size:13px">EU Directive 2=
003/58/EC compliance:</span></div><div><span style=3D"font-size:13px">Googl=
e Ireland Ltd., Gordon House, Barrow Street, Dublin 4 Ireland</span></div><=
div><span style=3D"font-size:13px">Registered in Dublin, Ireland with # 368=
047</span></div></div></div></div></div></div></div>

--000000000000ab13830585052b5b--




Acknowledgement sent to Kieran Barry <kieranb@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#35013; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 27 Mar 2019 09:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.